use snafu::prelude::*;
use yunohost_api::YunohostUsers;

use std::sync::Arc;

use crate::error::*;

pub mod sessions;
use sessions::SessionManager;

pub type RoutableAppState = Arc<AppState>;

pub struct AppState {
    sessions: SessionManager,
    users: YunohostUsers,
}

impl AppState {
    pub async fn new() -> Result<AppState, Error> {
        Ok(AppState {
            sessions: SessionManager::new().context(SessionSnafu)?,
            // Timeout in ms
            users: YunohostUsers::new(500).await.context(YunohostSnafu)?,
        })
    }
}
